<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('items', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('nokia_requester_id')->references('id')->on('nokia_requesters')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('stream_id')->references('id')->on('streams')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('site_id')->references('id')->on('sites')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('subcontractor_id')->references('id')->on('subcontractors')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('internal_supplier_id')->references('id')->on('internal_suppliers')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('entity_id')->references('id')->on('entities')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->foreign('delivery_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('sites', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('itemables', function(Blueprint $table) {
			$table->foreign('item_id')->references('id')->on('items')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('quantities', function(Blueprint $table) {
			$table->foreign('item_id')->references('id')->on('items')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('meters', function(Blueprint $table) {
			$table->foreign('item_id')->references('id')->on('items')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('nokia_requester_id')->references('id')->on('nokia_requesters')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('entity_id')->references('id')->on('entities')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('stream_id')->references('id')->on('streams')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('site_id')->references('id')->on('sites')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('subcontractor_id')->references('id')->on('subcontractors')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('internal_supplier_id')->references('id')->on('internal_suppliers')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->foreign('site_engineer_id')->references('id')->on('site_engineers')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('request_status', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('no action')
						->onUpdate('no action');
		});
		Schema::table('attachments', function(Blueprint $table) {
			$table->foreign('request_status_id')->references('id')->on('request_status')
						->onDelete('no action')
						->onUpdate('no action');
		});
	}

	public function down()
	{
		Schema::table('items', function(Blueprint $table) {
			$table->dropForeign('items_user_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_nokia_requester_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_user_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_stream_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_site_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_subcontractor_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_internal_supplier_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_entity_id_foreign');
		});
		Schema::table('in_requests', function(Blueprint $table) {
			$table->dropForeign('in_requests_delivery_id_foreign');
		});
		Schema::table('sites', function(Blueprint $table) {
			$table->dropForeign('sites_user_id_foreign');
		});
		Schema::table('itemables', function(Blueprint $table) {
			$table->dropForeign('itemables_item_id_foreign');
		});
		Schema::table('quantities', function(Blueprint $table) {
			$table->dropForeign('quantities_item_id_foreign');
		});
		Schema::table('meters', function(Blueprint $table) {
			$table->dropForeign('meters_item_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_nokia_requester_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_entity_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_user_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_stream_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_site_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_subcontractor_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_internal_supplier_id_foreign');
		});
		Schema::table('out_requests', function(Blueprint $table) {
			$table->dropForeign('out_requests_site_engineer_id_foreign');
		});
		Schema::table('request_status', function(Blueprint $table) {
			$table->dropForeign('request_status_user_id_foreign');
		});
		Schema::table('attachments', function(Blueprint $table) {
			$table->dropForeign('attachments_request_status_id_foreign');
		});
	}
}